  <mat-card  style="margin-top: 10px;">
      <mat-card-header>
        <mat-card-title class="lblstyle">{{titleName}}</mat-card-title>  <mat-checkbox [checked]="hasDiagnosis" (change)="onChange($event)">None</mat-checkbox>
      </mat-card-header>
      <mat-card-content>  
        <mat-card [class.mat-elevation-z0]="true">
          <mat-card-content>
            <form [formGroup]="diagnosisGroup" style="margin-top: 20px;">
              <section class="regular-mat-form-field">
            <div>
              <div class="content-sub" *ngIf="description.length > 0">
                <mat-label>{{description}}</mat-label>
              </div>
<br/>
              <div style="width: 80%;"flex>
                <div flex>
                      <div fxFlex>
                        <mat-form-field appearance="outline" style="padding-right: 25px; width:94%"  class="search">
                          <input matInput  type = "text"  name="searchDiagnosis" (keyup)="GetDiagnosisListByKey()" formControlName="searchDiagnosisCtrl"
                            placeholder = {{keywordPlaceholder}}
                            aria-label = "Number"
                            [matAutocomplete] = "auto"> 
                        </mat-form-field>
                        <mat-autocomplete #auto = "matAutocomplete" (optionSelected)="itemSelected($event.option.value)">
                          <mat-option *ngFor = "let state of diagnosisList" [value] = "state">
                            {{state.description}}
                          </mat-option>
                        </mat-autocomplete>
                      </div>
                      <div *ngIf="true" fxFlex="7%" style="margin-top: 10px;">                        
                      <!-- <mat-icon [ngStyle]="{'color': hasDiagnosis == false ? 'grey' : '#EEEEEE'}">search</mat-icon>    -->
                      </div>
                      <div *ngIf="options.historyOf" fxFlex="7%" style="margin-top: 10px;">
                      </div>
                      <div *ngIf="options.provisional" fxFlex="7%" style="margin-top: 10px;">
                      </div>
                      <div fxFlex="8%">
                      </div>    
                </div>
              </div>

            </div>
            <div style="width: 80%;"flex>
              <div flex>
                    <div fxFlex>
                      <mat-form-field appearance="outline" style="padding-right: 25px; width:94%"  class="search" >
                        <input matInput readonly name="selectedDiagnosis" placeholder = "Search Result" formControlName="selectedDiagnosisCtrl">
                      </mat-form-field>
                    </div>
                    <div *ngIf="options.riskOf" fxFlex="7%" style="margin-top: 10px;">
                      <mat-checkbox *ngIf ="options.riskOf" [value]="riskOf" formControlName="hasRiskOfCtrl" class="chk" matTooltip="Rule Out"> R/O</mat-checkbox>
                    </div>
                    <div *ngIf="options.historyOf" fxFlex="7%" style="margin-top: 10px;">
                      <mat-checkbox *ngIf ="options.historyOf" [value]="historyOf" formControlName="hasHistoryOfCtrl" class="chk" matTooltip="Histoy of"> H/O</mat-checkbox>
                    </div>
                    <div *ngIf="options.provisional" fxFlex="7%" style="margin-top: 10px;">
                      <mat-checkbox *ngIf ="options.provisional" [value]="prvnl" formControlName="hasProvisionalCtrl" class="chk" matTooltip="Provisional"> P/V</mat-checkbox>
                    </div>
                    <div fxFlex="8%" style="margin-top: 7px;padding-left: 7px;">                     
                      <mat-icon (click)="onAddDiagnosis()" [ngStyle]="{'color': hasDiagnosis == true ? '#EEEEEE' : '#28a745'}">add_circle</mat-icon>
                    </div>    
              </div>
            </div>
          <!-- <div *ngIf="diagnosisLst.length > 0" style="width: 70%;"fxLayout="column" disabled="hasDiagnosis" flex>
            <div fxLayout="column" flex>
              <div fxLayout="row"     fxLayout.xs="column" >
                <div   fxFlex  class="colheader" >{{tableHeader + " Diagnoses"}}</div>
                <div  *ngIf="options.riskOf" fxFlex="7%"   class="colheader">R/O</div>
                <div  *ngIf="options.historyOf" fxFlex="7%"   class="colheader">H/O</div>
                <div  *ngIf="options.provisional" fxFlex="7%"   class="colheader">P/V</div>
                <div  fxFlex="8%" class="colheader">Actions</div>
              </div>
              <div  *ngFor="let item of diagnosisLst; let i = index;">
                <div fxLayout="row"   fxLayout.xs="column">
                  <div  fxFlex    class="col">
                    {{item.description}}
                  </div>
                  <div *ngIf="options.riskOf" fxFlex="7%" class="col">
                    <mat-icon *ngIf="item.riskOf">check_circle_outline</mat-icon>   
                  </div>
                  <div *ngIf="options.historyOf" fxFlex="7%" class="col">
                    <mat-icon *ngIf="item.historyOf">check_circle_outline</mat-icon> 
                  </div>
                  <div *ngIf="options.provisional" fxFlex="7%" class="col">         
                    <mat-icon *ngIf="item.provisional">check_circle_outline</mat-icon> 
                  </div>
                  <div fxFlex="8%"     class="col">
                      <mat-icon (click)="onDeleteDiagnosis(item)" [ngStyle]="{'color': hasDiagnosis == false ? 'red' : '#EEEEEE'}">cancel</mat-icon>
                  </div>
                </div>

              </div>
    
            </div>
          </div> -->
        </section>
      </form>    
        <div *ngIf="!hasDiagnosis && diagnosisLst.length > 0" class="content-sub" style="width: 80%;">
          <ag-grid-angular #agGrid id="docGrid"
            class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
            [rowData]="rowData" [floatingFilter]="false"
            [animateRows]="false" [gridOptions]="gridOptions" [pagination]="pagination" [paginationPageSize] ="5"
            [context]="context" (firstDataRendered)="onFirstDataRendered($event)"
            [frameworkComponents]="frameworkComponents" (gridReady)="onGridReady($event)">
          </ag-grid-angular>
        </div>
          
          </mat-card-content>
        </mat-card>
      </mat-card-content>
  </mat-card>
